RDF::Closure::Engine(3pm)

NAME
RDF::Closure::Engine - an engine for inferring triples

DESCRIPTION

  Constructor

•   "new($regime, $model, @arguments)"

    Instantiates an inference engine. This:

      RDF::Closure::Engine->new('RDFS', $model, @args);

    is just a shortcut for:

      RDF::Closure::Engine::RDFS->new($model, @args);

    Though in the former, 'RDFS' is treated case-insensitively.

    $model must be an RDF::Trine::Model which the engine will read its input from and write its output to.

  Methods

•   "entailment_regime"

    Returns a URI string identifying the type of inference implemented by the engine, or undef.

•   "graph"

    Returns the RDF::Trine::Model the engine is operating on.

•   "closure( [ $is_subsequent ] )"

    Adds any new triples to the graph that can be inferred.

    If $is_subsequent is true, then skips axioms.

•   "errors"

    Returns a list of consistency violations found so far.

•   "reset"

    Removes all inferred triples from the graph.

  Class Method

•   "engines"

    Return a list of engines installed, e.g. 'RDF::Closure::Engine::RDFS'.

SEE ALSO
RDF::Closure, RDF::Closure::Engine::RDFS, RDF::Closure::Engine::OWL2RL, RDF::Closure::Engine::OWL2Plus.

<http://www.perlrdf.org/>.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT
Copyright 2011-2012 Toby Inkster

This library is free software; you can redistribute it and/or modify it under any of the following licences:

•   The Artistic License 1.0 <http://www.perlfoundation.org/artistic_license_1_0>.

•   The GNU General Public License Version 1 <http://www.gnu.org/licenses/old-licenses/gpl-1.0.txt>, or (at your option) any later version.

•   The W3C Software Notice and License <http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231>.

•   The Clarified Artistic License <http://www.ncftp.com/ncftp/doc/LICENSE.txt>.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.